=== debian/changelog ===
fs-uae (2.4.1+ds-3) unstable; urgency=medium

  * Add debian/patches/0003-remove-custom-mprotect-function.patch
    to fix a segmentation fault when running fs-uae with recent
    versions of the proprietary nVidia driver (Closes: #757164).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 27 Jan 2015 22:38:53 +0100

fs-uae (2.4.1+ds-2) unstable; urgency=medium

  * Add missing dependency on python-pil for fs-uae-arcade in debian/control.
  * Add missing copyright entry in debian/copyright for arcade/* files.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 03 May 2014 19:21:51 +0200

fs-uae (2.4.1+ds-1) unstable; urgency=medium

  * New upstream release. (Closes: #739796)
  * Add binary package entry for fs-uae-arcade in debian/control.
  * Update copyright years in debian/copyright.
  * Add build and install directives for fs-uae-arcade and update build
    and install directives fs-uae-launcher in debian/rules.
  * Add links file for fs-uae-arcade.
  * Drop debian/patches/0003-disable-JIT-on-non-i386.patch, no longer needed.
  * Drop debian/patches/0004-add-generic-maccess.patch, merged upstream.
  * Drop debian/patches/0005-add-kfreebsd-build-support.patch, merged upstream.
  * Refresh debian/patches/0001-use-external-libglee.patch.
  * Refresh debian/patches/0002-dont-copy-upstream-copying-file.patch.
  * Add build dependency for libxi-dev in debian/control.
  * Update debian/README.Debian to include fs-uae-arcade.
  * Update debian/README.source to reflect the changes to the source package.
  * Update dependencies for fs-uae-launcher in debian/control.
  * Update standards version to 3.9.5 in debian/control.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 06 Apr 2014 21:32:52 +0200
