=== debian/control ===
Source: fs-uae
Section: otherosfs
Priority: optional
Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Build-Depends: debhelper (>= 9), libsdl1.2-dev, libglib2.0-dev, libopenal-dev, gettext, python (>= 2.6), python-setuptools, glee-dev, libxi-dev
Standards-Version: 3.9.5
Homepage: http://fs-uae.net
Vcs-Git: git://github.com/glaubitz/fs-uae-debian.git
Vcs-Browser: https://github.com/glaubitz/fs-uae-debian

Package: fs-uae
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libfs-capsimage4
Description: Cross-platform Amiga emulator based on UAE/WinUAE
 FS-UAE is a cross-platform Amiga emulator based on updated emulation code
 from WinUAE. FS-UAE uses SDL for input, OpenAL for audio and OpenGL
 for graphics.

Package: fs-uae-launcher
Architecture: all
Depends: python (>= 2.6), ${misc:Depends}, ${python:Depends}, python-pyside, python-setuptools, fs-uae
Description: Launcher and configuration program for FS-UAE
 FS-UAE is a cross-platform Amiga emulator based on updated emulation code
 from WinUAE. FS-UAE uses SDL for input, OpenAL for audio and OpenGL
 for graphics.
 .
 This package contains the launcher, a graphical user interface for
 setting up FS-UAE.

Package: fs-uae-netplay-server
Architecture: all
Depends: python (>= 2.6), ${misc:Depends}, adduser (>= 3.11)
Description: Netplay server for FS-UAE online play
 FS-UAE is a cross-platform Amiga emulator based on updated emulation code
 from WinUAE. FS-UAE uses SDL for input, OpenAL for audio and OpenGL
 for graphics.
 .
 This package contains the FS-UAE netplay game server, and a service
 to start game servers on demand.

Package: fs-uae-arcade
Architecture: all
Depends: python (>= 2.6), ${misc:Depends}, ${python:Depends}, python-pygame, python-numpy, python-opengl, python-pil, python-setuptools, fs-uae
Recommends: python-lhafile, fs-uae-launcher
Description: Fullscreen game browser for FS-UAE
 FS-UAE is a cross-platform Amiga emulator based on updated emulation code
 from WinUAE. FS-UAE uses SDL for input, OpenAL for audio and OpenGL
 for graphics.
 .
 This package contains FS-UAE Arcade, a fullscreen game browser
 for couch potatoes.
